Execute Drill Through Report
/applications/{applicationName}/databases/{databaseName}/reports/{name}
Executes a drill through report in the specified application and database, and returns records.
Request
-
applicationName(required):
Application name.
-
databaseName(required):
Database name.
-
name(required):
Drill through report name.
Response
200 Response
OK
The drillthrough report was executed successfully. Result is a JSON array where the first node is the datatype of each column, the second node is the column names, and the remaining nodes are the data nodes corresponding to each record in the report.
400 Response
Bad Request
Failed to execute the drillthrough report.
415 Response
Not Acceptable
The media type isn't supported or wasn't specified.
500 Response
Internal Server Error.
Examples
The following example shows how to execute a drill through report definition.
This example uses cURL to access the REST API from a Windows shell script. The calling user's ID and password are variables whose values are set in properties.bat.
Script with cURL Command
call properties.bat
curl -X POST "https://myserver.example.com:9001/essbase/rest/v1/applications/SampleDtr/databases/Basic/reports/sampleDtr" -H Accept:application/json -H Content-Type:application/json --data "@./dtrcontext.json" -u %User%:%Password%Sample JSON Payload
The cURL example above delivers the following JSON payload in dtrcontext.json.
{
"aliasTable":"default",
"dtrContext":[
{
"cells":{
"Year":["Jan"],
"Product":["Cola"],
"Measures":["Sales"],
"Market":["New York"],
"Scenario":["Scenario"]}
}, {
"cells":{
"Year":["Aug"],
"Product":["Cola"],
"Measures":["Sales"],
"Market":["New York"],
"Scenario":["Scenario"]}
}
]
}Example of Response Body
The following example shows the contents of the response body. The result is a JSON array, where the first node is the data type of each column, the second node lists the column names, and the remaining nodes are the data nodes corresponding to each record in the report. This example output is truncated for length.
[ [ "STRING", "STRING", "STRING", "STRING", "STRING" ],
[ "PRODUCT", "MONTH", "CITY", "SALES", "COGS" ],
[ "100-10", "Aug", "New York", "910", "364" ],
[ "100-10", "Aug", "New York", "860", "340" ],
[ "100-10", "Aug", "New York", "910", "364" ],
[ "100-10", "Aug", "New York", "860", "340" ],
...
]